# Calculate Landed Cost

This endpoint calculates the total landed cost of a shipment. To retrieve the landed cost, send a POST request to the landed cost endpoint using the same payload as required for the [create shipment request.](/shipping/create-new-shipment.md) This will return the full breakdown of costs, including taxes, duties, and shipping fees, providing an accurate total cost for the shipment.

## API Reference

<mark style="color:green;">`POST`</mark>   <https://sandbox.staging.sendbox.co/shipping/landed\\_cost\\_estimate>

**Headers**

| Name          | Value               |
| ------------- | ------------------- |
| Content-Type  | `application/json`  |
| Authorization | authorization-token |

**Body**

| Name             | Type   | Description                                                                                                                                                                                                                                                                          |
| ---------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| origin           | object | Senders details                                                                                                                                                                                                                                                                      |
| destination      | object | Recipient details                                                                                                                                                                                                                                                                    |
| weight           | float  | Weight of package                                                                                                                                                                                                                                                                    |
| items            | array  | <p>An array of objects that contain: </p><p> - name \[String]</p><p> - weight \[Float]</p><p> - item\_type\_code \[String <em>optional</em>]</p><p> - hts\_code \[String <em>optional</em>]</p><p> - description \[String]</p><p> - quantity  \[Integer]</p><p> - value \[Float]</p> |
| incoming\_option | string | set to either pickup or dropoff                                                                                                                                                                                                                                                      |
| pickup\_date     | date   | date in ISO format                                                                                                                                                                                                                                                                   |
| total\_value     | float  | value of shipment                                                                                                                                                                                                                                                                    |
| service\_code    | string | can be set to either international, nation-wide, or local.                                                                                                                                                                                                                           |
| package\_type    | string | package type                                                                                                                                                                                                                                                                         |
| channel\_code    | string | channel the request is being made from; in this case set it to api                                                                                                                                                                                                                   |
| region           | string | region the shipment is being shipped from.                                                                                                                                                                                                                                           |
| callback\_url    | string | a webhook url to get the tracking update.                                                                                                                                                                                                                                            |
| hts\_code        | string | pass in the item code to match it's description.                                                                                                                                                                                                                                     |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "customs_option": "sender",
    "dimension": {
        "length": 1.0,
        "width": 1.0,
        "height": 1.0
    },
    "incoming_option": "pickup",
    "estimate": {
        "code": "duties_and_taxes",
        "name": "Duties and taxes",
        "description": "import duties and taxes",
        "value": 18.93,
        "breakdown": [
            {
                "code": "duties",
                "name": "Duties",
                "description": "",
                "value": 0.0
            },
            {
                "code": "taxes",
                "name": "Taxes",
                "description": "",
                "value": 12.22
            },
            {
                "code": "fees",
                "name": "Fees",
                "description": "",
                "value": 6.71
            }
        ],
        "exchange_rate": 1669.025
    },
    "weight": 0.2,
    "currency": "NGN",
    "service_code": "standard",
    "origin": {
        "country": "NG",
        "lat": 6.56,
        "post_code": "102216",
        "first_name": "Emotu",
        "state": "abuja",
        "city": "maitama",
        "lng": 3.37
    },
    "destination": {
        "country": "GB",
        "lat": 37.81,
        "post_code": "94612",
        "first_name": "Ubani",
        "state": "london",
        "city": "london",
        "last_name": "Balogun",
        "lng": -122.27
    },
    "items": [
        {
            "name": "African Wax Fabrics - Orange Lace Fabric that is Not Woven",
            "item_type": "herbal_tea",
            "value": 100000.0,
            "quantity": 4,
            "weight": 0.5,
            "hts_code": "1211.90.8980",
            "disclaim": true
        }
    ],
    "service_type": "international",
    "total_value": 100000.0,
    "pickup_date": "2023-07-20T07:17:10.582Z",
    "package_type": "general",
    "region": "NG",
    "instance_id": "6136dfa6a1ab9d318bcfcb94",
    "user_id": "61f3f297f0bb8f001a8a34e0",
    "entity_id": null
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendbox.co/shipping/calculate-landed-cost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
